package com.zcxk.client;

import com.zcxk.config.FeignConfig;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

@FeignClient(value = "user-center",configuration={FeignConfig.class})
public interface UserCenterClient {
    @GetMapping(value = "/menu/getUserMenuByUid")
    Map<String, String> getUserMenuByUid(@RequestParam(value = "appId" ,required =  false) String appId);

}
