package com.zcxk.evaluation.dao;

import com.zcxk.evaluation.entity.EvaluationResultTaskEntity;
import com.zcxk.evaluation.vo.EvaluationResultTaskDetailsVo;
import org.apache.ibatis.annotations.Mapper;

/**
 * @ClassName EvaluationResultMapper
 * @Description: 考评结果
 * @Author lihui
 * @Date 2021/5/7
 * @Version V1.0
 **/
@Mapper
public interface EvaluationResultTaskMapper {

    /***
     * 保存考评结果d
     * @Author lihui
     * @Date 18:10 2021/5/17
     * @param entity : 考评详情
     * @return java.lang.Integer
     **/
    Integer insertEvaluationResultTask(EvaluationResultTaskEntity entity);

    /***
     * 查询考评结果
     * @author lihui
     * @date 16:12 2021/5/10
     * @param evaluationResultId：结果iD
     * @return com.zcxk.evaluation.vo.EvaluationResultTaskDetailsVo
     **/
    EvaluationResultTaskDetailsVo findResultTaskDetail(Integer evaluationResultId);

}
