package com.zcxk.evaluation.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @ClassName EvaluationDetailsDto
 * @Description: 考评任务结果详情
 * @Author lihui
 * @Date 2021/5/7
 * @Version V1.0
 **/
@Data
@ApiModel(value = "考评任务结果详情")
public class EvaluationDetailsDto {

    @ApiModelProperty(value = "考评结果详情Id")
    private Integer detailId;

    @ApiModelProperty(value = "修改的分数")
    private BigDecimal score;
}
