package com.zcxk.evaluation.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.zcxk.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @ClassName EvaluationResultDetailsEntity
 * @Description: 考评结果详情
 * @Author lihui
 * @Date 2021/5/7
 * @Version V1.0
 **/
@Data
@TableName("sc_evaluation_result_details")
public class EvaluationResultDetailsEntity extends BaseEntity {

    @ApiModelProperty(value = "考评结果ID")
    private Integer evaluationResultId;

    @ApiModelProperty(value = "考评项ID")
    private Integer evaluationItemId;

    @ApiModelProperty(value = "考评得分")
    private BigDecimal value;

}
