package com.zcxk.evaluation.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName EvaluationGradeDistributionVo
 * @Description: 考核等级分布信息
 * @Author lihui
 * @Date 2021/5/13
 * @Version V1.0
 **/
@Data
@ApiModel(value = "考核等级分布信息")
public class EvaluationGradePercentageVo {

    @ApiModelProperty(value = "绩效等级")
    private String evaluationGrade;

    @ApiModelProperty(value = "占比数")
    private String percentage;

    @ApiModelProperty(value = "占比率")
    private String percentageRate;

}
