package com.zcxk.dao;

import com.zcxk.entity.DeviceAttributeEntity;
import java.io.Serializable;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
/**
 *
 * sms_device_attributeDAO接口
 * @author: WYY
 * @date 2020-11-20 20:29
 */
@Mapper
public interface DeviceAttributeMapper extends BaseMapper<DeviceAttributeEntity> {

	/**
     * 自定义分页查询
     * @param  page 
     * @param  deviceAttributeEntity 实体类
     */
     Page<DeviceAttributeEntity> findPage(IPage<DeviceAttributeEntity> page,
                                       @Param("deviceAttribute") DeviceAttributeEntity deviceAttributeEntity);

     DeviceAttributeEntity findDeviceAttributeById(Serializable id);


     List<DeviceAttributeEntity> findList(DeviceAttributeEntity deviceAttributeEntity);

     /**删除相关方法  使用mybatis-plus集成的 **/
}
