package com.zcxk.dao;

import java.io.Serializable;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zcxk.entity.DeviceTypeEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
/**
 *
 * sms_device_typeDAO接口
 * @author: WYY
 * @date 2020-11-18 08:21
 */
@Mapper
public interface DeviceTypeMapper extends BaseMapper<DeviceTypeEntity> {

	/**
     * 自定义分页查询
     * @param  page 
     * @param  deviceTypeEntity 实体类
     */
     Page<DeviceTypeEntity> findPage(IPage<DeviceTypeEntity> page, @Param("deviceType") DeviceTypeEntity deviceTypeEntity);

     DeviceTypeEntity findDeviceTypeById(Serializable id);


     List<DeviceTypeEntity> findList(DeviceTypeEntity deviceTypeEntity);

    List<DeviceTypeEntity> findListByName(DeviceTypeEntity deviceTypeEntity);

     /**删除相关方法  使用mybatis-plus集成的 **/
}
