package com.zcxk.charge.api.dto.alarm;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 数据报警设置
 * @author lihui
 * @version V1.0
 * @date 2021/5/31
 **/
@Data
public class DataAlarmSettingDto {

    @ApiModelProperty(value = "场景ID")
    private Long beSceneId;

    @ApiModelProperty(value = "设备ID")
    private Long beDeviceId;

    @ApiModelProperty(value = "参数ID")
    private Long beAttributeId;

    @ApiModelProperty(value = "类型")
    private int beType;

    @ApiModelProperty(value = "计算规则")
    private String computeRules;

    @ApiModelProperty(value = "对比场景ID")
    private Long toSceneId;

    @ApiModelProperty(value = "对比设备ID")
    private Long toDeviceId;

    @ApiModelProperty(value = "对比参数ID")
    private Long toAttributeId;

    @ApiModelProperty(value = "对比类型")
    private int toType;

    @ApiModelProperty(value = "报警规则")
    private String alarmRules;

    @ApiModelProperty(value = "报警值")
    private BigDecimal alarmValue;
}
