package com.zcxk.charge.api.dto.query;

import com.zcxk.charge.api.dto.BasePageDto;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description 报警设置信息
 * @author andy
 */
@Api("报警设置信息")
@Data
public class AlarmSettingPageDto extends BasePageDto {


    @ApiModelProperty(value = "报警设置id")
    private Integer id;

    @ApiModelProperty(value = "报警参数")
    private String attributeName;

    @ApiModelProperty(value = "场景id")
    private Long sceneId;


}
