package com.zcxk.charge.api.dto.ranking;

import com.zcxk.core.common.pojo.ProgramItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description
 * @author  yjy
 * @data 2020-12-3
 */
@ApiModel("在线监测列表数据")
@Data
public class SceneDeviceQueryDto {

    private static final long serialVersionUID = -3866939316262264972L;

    @ApiModelProperty(value = "租户标识",hidden = true)
    private String tenantId;

    @ApiModelProperty(value ="权限",hidden = true)
    private List<ProgramItem> programItems;

    @ApiModelProperty(value = "用户类型(-9999 超管 -999普通用户 2普通用户)",hidden = true)
    private String userType;

    @ApiModelProperty(value="用户权限类型",hidden = true)
    private Integer permissonType;

    @ApiModelProperty(value = "场景ids" ,hidden = true )
    private List<Long> sceneIds;

    @ApiModelProperty(value =  "一级场景名字")
    private String firstSceneTypeName;

    @ApiModelProperty(value =  "二级场景名字")
    private String secondSceneTypeName;

    @ApiModelProperty(value =  "属性类型")
    private int parmType;
}
