package com.zcxk.charge.api.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
/**
 * @author  andy
 */
@Data
@ApiModel("设备参数")
public class DeviceParmInfoVo {
    /** 一级场景 */
    @ApiModelProperty(value = "一级场景")
    private Long parentSceneId;
    @ApiModelProperty(value = "场景")
    private Long sceneId;
    @ApiModelProperty(value = "主键")
    @JsonIgnore
    private Long id;
    @ApiModelProperty(value = "场景ids")
    @JsonIgnore
    private List<Long> sceneIds;
    @ApiModelProperty("是否选择(0未选择 1已选择)")
    private Integer isCheck;
    @ApiModelProperty("设备id")
    private Integer deviceId;
    @ApiModelProperty("设备属性id")
    private Integer attributeId;
    @ApiModelProperty("设备属性名称")
    private String attributeName;
}
