package com.zcxk.charge.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcxk.charge.core.entity.ThingyearSettingEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;

/**
 *
 * sms_thingyear_settingDAO接口
 * @author: WYY
 * @date 2020-12-28 15:18
 */
@Mapper
public interface ThingyearSettingMapper extends BaseMapper<ThingyearSettingEntity> {

	/**
	* 自定义分页查询
	* @author Andy
	* @date 9:23 2021/8/18
	* @param page:
	* @param thingyearSettingEntity:
	* @return com.baomidou.mybatisplus.extension.plugins.pagination.Page<com.zcxk.charge.core.entity.ThingyearSettingEntity>
	**/
     Page<ThingyearSettingEntity> findPage(IPage<ThingyearSettingEntity> page,
                                           @Param("thingyearSetting") ThingyearSettingEntity thingyearSettingEntity);

     /**
     * 单个查找
     * @author Andy
     * @date 9:23 2021/8/18
     * @param id:
     * @return com.zcxk.charge.core.entity.ThingyearSettingEntity
     **/
     ThingyearSettingEntity findThingyearSettingById(Serializable id);

    /**
    * 查找集合
    * @author Andy
    * @date 9:23 2021/8/18
    * @param thingyearSettingEntity:
    * @return java.util.List<com.zcxk.charge.core.entity.ThingyearSettingEntity>
    **/
     List<ThingyearSettingEntity> findList(@Param("thingyearSetting") ThingyearSettingEntity thingyearSettingEntity);

}
