package com.zcxk.rmcp.api.dto.alarm;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
@Data
/**
 *
 * @author heyumin
 * @date 2021-07-30 9:44
 */
public class AlarmRuleDto {
    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * channelId
     */
    @ApiModelProperty(value = "channelId")

    private Integer productCategroyId;
    /**
     * siteId
     */
    @ApiModelProperty(value = "siteId")
    @JsonIgnore
    private String tenantId;
    @ApiModelProperty(value = "")
    private Integer deviceType;
    /**
     * ruleName
     */
    @ApiModelProperty(value = "ruleName")
    private String ruleName;
    /**
     * measuingId
     */
    @ApiModelProperty(value = "measuingId")
    private String measuringCode;
    /**
     * measuingId
     */
    @ApiModelProperty(value = "测点")

    private String measuringName;
    /**
     * expression
     */
    @ApiModelProperty(value = "expression")
    @JsonIgnore
    private String expression;
    /**
     * alarmTypeId
     */
    @ApiModelProperty(value = "alarmTypeId")
    private Integer alarmTypeId;
    /**
     * status
     */
    @ApiModelProperty(value = "status",hidden = true)
    @JsonIgnore
    private Integer status;
    /**
     * createDate
     */
    @ApiModelProperty(value = "createDate",hidden = true)
    @JsonIgnore
    private Date createDate;
    /**
     * createBy
     */
    @ApiModelProperty(value = "createBy",hidden = true)
    @JsonIgnore
    private String createBy;
    /**
     * updateDate
     */
    @ApiModelProperty(value = "updateDate",hidden = true)
    @JsonIgnore
    private Date updateDate;
    /**
     * updateBy
     */
    @ApiModelProperty(value = "updateBy",hidden = true)
    @JsonIgnore
    private String updateBy;
    /**
     * ruleDesc
     */
    @ApiModelProperty(value = "ruleDesc")
    private String ruleDesc;
    /**
     * value1
     */
    @ApiModelProperty(value = "value1")

    private String value1;
    /**
     * value2
     */
    @ApiModelProperty(value = "value2")

    private String value2;
    /**
     * measuingDataType
     */
    @ApiModelProperty(value = "measuingDataType")

    private Integer measuringDataType;
    /**
     * specification
     */
    @ApiModelProperty(value = "规格")
    private String specification;
    @ApiModelProperty(value = "产品类型")
    private String categoryName;
    @ApiModelProperty(value = "设备型号")
    private String productName;
}
