package com.zcxk.rmcp.api.dto.alarm;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * @author linqingwei
 * @date 2021-08-10 15:48
 */
@Data
public class DeviceAlarmQueryDto {

    @ApiModelProperty(value = "设备id")
    private Long deviceId;

    @ApiModelProperty(value = "分类id")
    private Integer categoryId;

    @ApiModelProperty(value = "产品id")
    private Integer productId;

    @ApiModelProperty(value = "设备编号")
    private String deviceNo;

    @ApiModelProperty(value = "告警类型")
    private Integer alarmTypeId;

    @ApiModelProperty(value="处理状态，1已处理，0未处理")
    private Integer handleStatus;

    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    @ApiModelProperty(value = "开始时间 格式：yyyyMMddHHmmss")
    private LocalDateTime startDate;

    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    @ApiModelProperty(value = "结束时间 格式：yyyyMMddHHmmss")
    private LocalDateTime endDate;
}
