package com.zcxk.rmcp.api.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Andy
 * @version V1.0
 * @description: 设备统计
 * @date 2021/7/21
 **/
@Data
public class DeviceStatisticsVo {

    @ApiModelProperty(value="设备总数")
    private String total;

    @ApiModelProperty(value="设备占比")
    private List<DeviceRatio> ratios;

    @ApiModelProperty(value="状态数")
    private List<StatusStatisticsVo> statusList;

    /**
     * @author Andy
     * @version V1.0
     * @description: 设备占比情况
     * @date 2021/7/21
     **/
    @Data
    public static class DeviceRatio {

        @ApiModelProperty(value="设备分类名字")
        private String name;

        @ApiModelProperty(value="占比%")
        private String ratio;

        @ApiModelProperty(value="总数")
        private int total;

    }

}
