package com.zcxk.rmcp.api.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.zcxk.rmcp.api.pojo.LocalDateTimeConverter;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author linqingwei
 * @date 2021-07-26 17:21
 */
@Data
public class DownloadDeviceVo {

    @ExcelProperty(value = "设备编号" ,index = 0)
    private String deviceNo;

    @ExcelProperty(value = "水表电子号" ,index = 1)
    private String meterNo;

    @ExcelProperty(value = "设备型号" ,index = 2)
    private String deviceTypeName;

    @ExcelProperty(value = "设备状态" ,index = 3)
    private String deviceStatusName;

    @ExcelProperty(value = "当前读数" ,index = 4)
    private String readData;

    @ExcelProperty(value = "阀门状态" ,index = 5)
    private String valveStatusName;

    @ExcelProperty(value = "公司" ,index = 6)
    private String companyName;

    @ExcelProperty(value = "部门" ,index = 7)
    private String deptName;

    @ExcelProperty(value = "小区" ,index = 8)
    private String communityName;

    @ExcelProperty(value = "安装地址" ,index = 9)
    private String address;

    @ExcelProperty(value = "最后上报时间" ,index = 10,converter = LocalDateTimeConverter.class)
    private LocalDateTime lastReceiveTime;





}
