package com.zcxk.rmcp.api.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

/**
 * @author Andy
 * @version V1.0
 * @description: 聚合
 * @date 2021/7/28
 **/
@Data
@ToString
public class MeterReadRecordAggregationVo {

    @ApiModelProperty(value="id")
    private String id;

    @ApiModelProperty(value="租户ID")
    private String tenantId;

    @ApiModelProperty(value="分类ID")
    private Integer categoryId;

    @ApiModelProperty(value="公司ID")
    private Integer companyOrgId;

    @ApiModelProperty(value="部门ID")
    private Integer deptOrgId;

    @ApiModelProperty(value="小区ID")
    private Integer communityId;

    @ApiModelProperty(value="日期")
    private Integer readDate;

    @ApiModelProperty(value="汇总用水量")
    private BigDecimal waterConsumption;

}
