package com.zcxk.rmcp.core.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 
 * @author linqingwei
 * @date 2021-08-06 15:42
 */
@ApiModel(value="com-zcxk-rmcp-core-entity-DeviceAlarm")
@Data
public class DeviceAlarm {
    @ApiModelProperty(value="")
    private Long id;


    @ApiModelProperty(value="租户")
    private String tenantId;


    @ApiModelProperty(value="设备")
    private Long deviceId;

    @ApiModelProperty(value="")
    private Integer measuringId;

    @ApiModelProperty(value="告警类型")
    private Integer alarmTypeId;


    @ApiModelProperty(value="首次告警时间")
    private LocalDateTime alarmTime;

    @ApiModelProperty(value="最后告警时间")
    private LocalDateTime lastAlarmTime;

    @ApiModelProperty(value="告警次数")
    private Integer alarmCount;

    @ApiModelProperty(value="处理状态，1已处理，0未处理")
    private Integer handleStatus;

    @ApiModelProperty(value="处理时间")
    private LocalDateTime handleTime;


    @ApiModelProperty(value="处理结果")
    private String handleResult;

    @ApiModelProperty(value="测点数据")
    private String measuringData;

    @ApiModelProperty(value="")
    private Integer status;

    @ApiModelProperty(value="")
    private String createBy;

    @ApiModelProperty(value="")
    private String updateBy;

    @ApiModelProperty(value="")
    private LocalDateTime createDate;

    @ApiModelProperty(value="")
    private LocalDateTime updateDate;

    @ApiModelProperty(value="告警类型名称")
    private String alarmTypeName;
}