package com.zcxk.rmcp.core.entity;

import java.util.Date;
import java.io.Serializable;

import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 设备告警规则(DeviceAlarmRule)实体类
 *
 * @author hym
 * @since 2021-08-02 14:10:49
 */
@Data
@ApiModel
public class DeviceAlarmRule implements Serializable {
    private static final long serialVersionUID = -52505900852289274L;
    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * channelId
     */
    @ApiModelProperty(value = "channelId")
    private Integer productCategroyId;
    /**
     * siteId
     */
    @ApiModelProperty(value = "siteId")
    private String tenantId;
    @ApiModelProperty(value = "")
    private Integer deviceType;
    /**
     * ruleName
     */
    @ApiModelProperty(value = "ruleName")
    private String ruleName;
    /**
     * measuingId
     */
    @ApiModelProperty(value = "measuingId")
    private String measuringCode;
    /**
     * expression
     */
    @ApiModelProperty(value = "expression")
    private String expression;
    /**
     * alarmTypeId
     */
    @ApiModelProperty(value = "alarmTypeId")
    private Integer alarmTypeId;
    /**
     * status
     */
    @ApiModelProperty(value = "status")
    private Integer status;
    /**
     * createDate
     */
    @ApiModelProperty(value = "createDate")
    private Date createDate;
    /**
     * createBy
     */
    @ApiModelProperty(value = "createBy")
    private String createBy;
    /**
     * updateDate
     */
    @ApiModelProperty(value = "updateDate")
    private Date updateDate;
    /**
     * updateBy
     */
    @ApiModelProperty(value = "updateBy")
    private String updateBy;
    /**
     * ruleDesc
     */
    @ApiModelProperty(value = "ruleDesc")
    private String ruleDesc;
    /**
     * value1
     */
    @ApiModelProperty(value = "value1")
    private String value1;
    /**
     * value2
     */
    @ApiModelProperty(value = "value2")
    private String value2;
    /**
     * measuingDataType
     */
    @ApiModelProperty(value = "measuingDataType")
    private Integer measuringDataType;
    /**
     * specification
     */
    @ApiModelProperty(value = "specification")
    private String specification;
}
