package com.zcxk.rmcp.core.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 
 * @author linqingwei
 * @date 2021-07-29 17:54
 */
@ApiModel(value="文件")
@Data
public class FileLog {

    @ApiModelProperty(value="id")
    private String id;

    @ApiModelProperty(value="fileType")
    private String fileType;

    @ApiModelProperty(value="size")
    private Long size;

    @ApiModelProperty(value="name")
    private String name;

    @ApiModelProperty(value="path")
    private String path;

    @ApiModelProperty(value="url")
    private String url;

    @ApiModelProperty(value="type")
    private Integer type;

    @ApiModelProperty(value="status")
    private Integer status;

    @ApiModelProperty(value="createDate")
    private LocalDateTime createDate;

    @ApiModelProperty(value="createBy")
    private String createBy;

    @ApiModelProperty(value="updateDate")
    private LocalDateTime updateDate;

    @ApiModelProperty(value="updateBy")
    private String updateBy;
}