package com.zcxk.evaluation.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName EvaluationReportDto
 * @Description: 绩效考评报表
 * @Author lihui
 * @Date 2021/5/13
 * @Version V1.0
 **/
@Data
@ApiModel(value = "绩效考评报表")
public class EvaluationReportDto {

    @ApiModelProperty(value="公司ID")
    private Integer companyOrgId;

    @ApiModelProperty(value="部门ID")
    private Integer deptOrgId;

    @ApiModelProperty(value="类型：周期(0月度 1季度 2年度)")
    private Integer cycle;

    @ApiModelProperty(value="年")
    private Integer year;

    @ApiModelProperty(value="月/季度")
    private Integer month;

}
