package com.zcxk.evaluation.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @ClassName EvaluationResultDetailsDto
 * @Description: 考评结果详情
 * @Author lihui
 * @Date 2021/5/7
 * @Version V1.0
 **/
@Data
@ApiModel(value = "考评结果详情")
public class EvaluationResultDetailsDto {

    @ApiModelProperty(value = "考评结果Id")
    @NotNull
    private Integer resultId;

    @ApiModelProperty(value = "租户Id")
    @NotNull
    private String tenantId;

    @ApiModelProperty(value = "公司Id")
    @NotNull
    private Integer companyOrgId;

    @ApiModelProperty(value = "考评结果详情Id")
    private List<EvaluationDetailsDto> detailsDtoList;
}
