package com.zcxk.evaluation.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import com.zcxk.base.BaseEntity;
/**
 * @ClassName EvaluationResultEntity
 * @Description: 考评结果
 * @Author lihui
 * @Date 2021/4/20
 * @Version V1.0
 **/
@Data
@TableName("sc_evaluation_result")
public class EvaluationResultEntity extends BaseEntity {

    @ApiModelProperty(value = "考评人")
    private String evaluationBy;

    @ApiModelProperty(value = "被考评人")
    private String evaluationBe;

    @ApiModelProperty(value = "被考评人")
    private Long evaluationBeUserId;

    @ApiModelProperty(value = "考评状态(0未考评 1已考评)")
    private Integer state;

    @ApiModelProperty(value = "周期(0月度 1季度 2年度)")
    private Integer cycle;

    @ApiModelProperty(value = "考评年份")
    private Integer year;

    @ApiModelProperty(value = "考评月份")
    private Integer month;

    @ApiModelProperty(value = "绩效等级(0A 1B 2C 3D 4E)")
    private Integer evaluationGrade;

    @ApiModelProperty(value = "考评得分")
    private BigDecimal value;

    @ApiModelProperty(value = "考评开始时间")
    private Date dateStart;

    @ApiModelProperty(value = "考评结束时间")
    private Date dateEnd;

    @ApiModelProperty(value = "考评时间")
    private Date dateEvaluation;

}
