package com.zcxk.process.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@ApiModel(value = "com.bz.smart_city.entity.UserActionDesc")
@Data
public class UserActionDesc {

    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "动作名称")
    private String actionName;

    @ApiModelProperty(value = "动作标识")
    private String actionValue;

    @ApiModelProperty(value = "结果标识")
    private String resultKey;

    @ApiModelProperty(value = "展现方式")
    private String showType;

    @ApiModelProperty(value = "获取内容方式")
    private String contentType;

    @ApiModelProperty(value = "展示内容")
    private String content;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime dateCreate;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime dateUpdate;

}