package com.zcxk.dao;

import com.zcxk.entity.DeviceAttributeSpecsEntity;
import java.io.Serializable;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
/**
 *
 * sms_device_attribute_specsDAO接口
 * @author: WYY
 * @date 2020-11-20 20:29
 */
@Mapper
public interface DeviceAttributeSpecsMapper extends BaseMapper<DeviceAttributeSpecsEntity> {

	/**
     * 自定义分页查询
     * @param  page 
     * @param  deviceAttributeSpecsEntity 实体类
     */
     Page<DeviceAttributeSpecsEntity> findPage(IPage<DeviceAttributeSpecsEntity> page,
                                       @Param("deviceAttributeSpecs") DeviceAttributeSpecsEntity deviceAttributeSpecsEntity);

     DeviceAttributeSpecsEntity findDeviceAttributeSpecsById(Serializable id);


     List<DeviceAttributeSpecsEntity> findList(DeviceAttributeSpecsEntity deviceAttributeSpecsEntity);

     /**删除相关方法  使用mybatis-plus集成的 **/
}
