package com.zcxk.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

import static com.fasterxml.jackson.annotation.JsonInclude.Include.NON_NULL;

/**
 * @description
 * @auto wangli
 * @data 2020/12/7 8:50
 */
@Data
@Api("图表报表——设备属性")
public class MonitorDataChartReportAttributeDto implements Serializable {

    private static final long serialVersionUID = -1296206984259523032L;

    @ApiModelProperty("属性类型:3供水量、5耗电量、8PH、10浊度、11余氯")
    private String attributeType;
    @ApiModelProperty("属性名称")
    private String attributeName;
    @ApiModelProperty("属性单位")
    @JsonInclude(NON_NULL)
    private String unit;
    @ApiModelProperty("数据")
    private List<MonitorDataChartReportValueDto> monitorDataChartReportValue;
}
