package com.zcxk.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("管网图层")
public class PipeNetLayerDto {
    private static final long serialVersionUID = 460807634914426955L;
    /**
     * 场景id
     */
    @ApiModelProperty("场景id")
    private Long sceneId;
    /**
     * 场景名称
     */
    @ApiModelProperty("场景名称")
    private String sceneName;
    /**
     * 场景类型名称
     */
    @ApiModelProperty("场景类型名称")
    private String sceneTypeName;
    /**
     * 设备数据
     */
    @ApiModelProperty("设备数据")
    private List<MonitorDataCollectDto> deviceDataList;
}