package com.zcxk.dto;

import com.zcxk.entity.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 数据字典扩展类
 *
 * @author yjy
 * @since 2021-1-11
 */
@Data
@ApiModel
public class DictDto implements Serializable {
    private static final long serialVersionUID = 269554608076349144L;
    /**
     * 父编码主键
     */
    @ApiModelProperty(value = "父编码主键")
    private Integer parentDictId;
    /**
     * 父编码名称
     */
    @ApiModelProperty(value = "父编码名称")
    private String parentDictName;
    /**
     * 父编码
     */
    @ApiModelProperty(value = "父编码")
    private String parentDictCode;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 字典列表
     */
    @ApiModelProperty(value = "字典列表")
    private List<Dict> dictList;
}