package com.zcxk.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户组(UserGroup)实体类
 *
 * @author makejava
 * @since 2020-10-28 17:13:53
 */
@Data
@ApiModel
public class UserGroup implements Serializable {
    private static final long serialVersionUID = -20377759533507662L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Integer id;
    /**
     * 租户标识
     */
    @ApiModelProperty(value = "租户标识")
    private String tenantId;
    /**
     * 组名称
     */
    @ApiModelProperty(value = "组名称")
    private String groupName;
    /**
     * 角色组状态
     */
    @ApiModelProperty(value = "角色组状态")
    private Integer groupState;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 数据删除标记
     */
    @ApiModelProperty(value = "数据删除标记")
    private Integer status;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date dateCreate;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @ApiModelProperty(value = "")
    private Date dateUpdate;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 角色id
     */
    @ApiModelProperty(value = "角色id")
    private Integer roleId;
}