package com.zcxk.charge.api.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName AlarmDetailsVo
 * @Description: 报警信息
 * @Author lihui
 * @Date 2021/5/6
 * @Version V1.0
 **/
@Data
public class AlarmDetailsVo implements Serializable {

    @ApiModelProperty("设备ID")
    private Long id;

    @ApiModelProperty("设备名字")
    private String deviceName;

    @ApiModelProperty("报警次数")
    private int alarmCount;

    @ApiModelProperty("报警时长：分钟")
    private long alarmDuration;

    @JsonIgnore
    @ApiModelProperty("报警开始时间")
    private Date alarmStartTime;

    @JsonIgnore
    @ApiModelProperty("报警开始时间")
    private Date alarmEndTime;
}
