package com.zcxk.rmcp.api.dto.alarm;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.zcxk.rmcp.api.dto.BasePageDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 *
 * @author heyumin
 * @date 2021-07-30 9:44
 */
@Data
public class AlarmTypePageDto extends BasePageDto {
    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id",hidden = true)
    @JsonIgnore
    private String tenantId;
    /**
     * 设备类型
     */
    @ApiModelProperty(value = "设备类型")
    private Integer deviceTypeId;

    @ApiModelProperty(value = "产品类型")
    private Integer productCategroyId;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String typeDesc;
}
