package com.zcxk.rmcp.api.query;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author linqingwei
 * @date 2021-07-19 16:33
 */
@Data
public class CommonQueryCondition {

    /**
     * 租户
     */
    private String tenantId;

    /**
     * 分类
     */
    private Integer categoryId;

    /**
     * 产品
     */
    private Integer productId;

    /**
     * 公司
     */
    private Integer companyOrgId;

    /**
     * 部门
     */
    private Integer deptOrgId;

    /**
     * 小区
     */
    private Integer communityId;

    /**
     * 设备编号
     */
    private String deviceNo;

    /**
     * 安装地址
     */
    private String address;

    /**
     * 集中器id
     */
    private Integer concentratorId;

    /**
     * 集中器编号
     */
    private String concentratorNo;

    /**
     * 采集器id
     */
    private Integer collectorId;

    /**
     * 采集器编号
     */
    private String collectorNo;

    /**
     * 采集器id
     */
    private Integer channelNumberId;

    /**
     * 设备状态
     */
    private Integer deviceStatus;

    /**
     * 阀门状态
     */
    private Integer valveStatus;

    /**
     * 排序参数
     */
    private String sortColumn;

    /**
     * 排序方式
     */
    private String sortOrder;

    /**
     * 开始时间
     */
    private LocalDateTime startDate;

    /**
     * 结束时间
     */
    private LocalDateTime endDate;

}
