package com.zcxk.rmcp.api.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author Andy
 * @version V1.0
 * @description: 小区vo
 * @date 2021/7/20
 **/
@Data
public class CommunityVo {

    @ApiModelProperty(value="Id")
    private Long id;

    @ApiModelProperty(value="租户")
    private String tenantId;

    @ApiModelProperty(value="公司ID")
    private Integer companyOrgId;

    @ApiModelProperty(value="公司名字")
    private String companyOrgName;

    @ApiModelProperty(value="部门名字")
    private String deptOrgName;

    @ApiModelProperty(value="部门ID")
    private Integer deptOrgId;

    @ApiModelProperty(value="小区名称")
    private String name;

    @ApiModelProperty(value="code")
    private String code;

    @ApiModelProperty(value="省")
    private Integer province;

    @ApiModelProperty(value="市")
    private Integer city;

    @ApiModelProperty(value="区")
    private Integer region;

    @ApiModelProperty(value="省")
    private String provinceName;

    @ApiModelProperty(value="市")
    private String cityName;

    @ApiModelProperty(value="区")
    private String regionName;

    @ApiModelProperty(value="地址")
    private String address;

    @ApiModelProperty(value="经度")
    private BigDecimal lng;

    @ApiModelProperty(value="维度")
    private BigDecimal lat;

    @ApiModelProperty(value="备注")
    private String remark;

}
