package com.zcxk.rmcp.api.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Andy
 * @version V1.0
 * @description: TODO
 * @date 2021/7/20
 **/
@Data
public class DeviceCommandVo {

    @ApiModelProperty(value="Id")
    private Long id;

    @ApiModelProperty(value = "水表电子号")
    @ExcelProperty(value = {"水表电子号"},index = 0)
    private String meterNo;

    @ApiModelProperty(value = "设备型号")
    @ExcelProperty(value = {"设备型号"},index = 1)
    private String deviceNo;

    @ApiModelProperty(value = "设备状态 : DeviceStatusEnum")
    @ExcelProperty(value = {"设备状态"},index = 2)
    private String deviceStatus;

    @ApiModelProperty(value="指令状态 0:发送、1:超时、2:成功、3:失败")
    @ExcelProperty(value = {"指令状态"},index = 5)
    private String commandStatus;

    @ApiModelProperty(value="指令类型 0:关阀 1:开阀")
    @ExcelProperty(value = {"指令类型"},index = 4)
    private String commandType;

    @ApiModelProperty(value="操作方式 1:批量指令下发、2:系统执行指令、3:手动触发指令")
    @ExcelProperty(value = {"操作方式"},index = 3)
    private String operationType;

    @ApiModelProperty(value="处理/完成时间")
    @ExcelProperty(value = {"完成时间"},index = 6)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date finishDate;

    @ApiModelProperty(value="操作人")
    @ExcelProperty(value = {"操作人"},index = 7)
    private String createBy;

    @ApiModelProperty(value="下发/操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ExcelProperty(value = {"操作时间"},index = 8)
    private Date issueDate;
}
