package com.zcxk.rmcp.api.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author Andy
 * @version V1.0
 * @description: 设备小区信息
 * @date 2021/7/21
 **/
@Data
public class DeviceCommunityVo {

    @ApiModelProperty(value="小区ID")
    private Long communityId;

    @ApiModelProperty(value="小区名字")
    private String name;

    @ApiModelProperty(value="小区地址")
    private String address;

    @ApiModelProperty(value="经度")
    private BigDecimal lng;

    @ApiModelProperty(value="维度")
    private BigDecimal lat;

    @ApiModelProperty(value="状态集合")
    private List<StatusStatisticsVo> statusVos;

}
