package com.zcxk.rmcp.api.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @author Andy
 * @version V1.0
 **/
@Data
@ApiModel
@EqualsAndHashCode(callSuper=false)
public class DeviceDataVo {

	@ApiModelProperty(value = "值",position = 1)
	private String value;

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "时间",position = 2)
	private Date dateTime;

}
