package com.zcxk.rmcp.api.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author Andy
 * @version V1.0
 * @description: TODO
 * @date 2021/8/2
 **/
@Data
public class MeasuringPointVo implements Serializable {


    @ApiModelProperty(value="主键")
    private Integer id;

    @ApiModelProperty(value="设备类型")
    private Integer productId;

    @ApiModelProperty(value="测点编码")
    private String measuringCode;

    @ApiModelProperty(value="测点名称")
    private String measuringName;

    @ApiModelProperty(value="测点描述")
    private String measuringDesc;

    @ApiModelProperty(value="测点单位")
    private String measuringUnit;

    @ApiModelProperty(value="测点数据类型 1:离散 2：连续")
    private String measuringDataType;

    @JsonIgnore
    @ApiModelProperty(value="状态")
    private Integer status;

    @JsonIgnore
    @ApiModelProperty(value="创建时间")
    private Date dateCreate;

    @JsonIgnore
    @ApiModelProperty(value="更新时间")
    private Date dateUpdate;

    @JsonIgnore
    @ApiModelProperty(value="创建人")
    private String createBy;

    @JsonIgnore
    @ApiModelProperty(value="更新人")
    private String updateBy;

    @ApiModelProperty(value="数据值")
    private List<ProductMeasuringDictVo> dictList;

    @ApiModelProperty(value="测点取值")
    private String measuringData;

}
