package com.zcxk.rmcp.core.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.zcxk.core.mysql.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author Andy
 * @version V1.0
 **/
@ApiModel(value="com-zcxk-common-entity-ProductMeasuringDict")
@Data
public class ProductMeasuringDict extends BaseDO {

    @ApiModelProperty(value="测点id")
    private Integer pointId;

    @ApiModelProperty(value="数据值")
    private String dataValue;

    @ApiModelProperty(value="数据名称")
    private String dataName;

    @JsonIgnore
    @ApiModelProperty(value="数据描述")
    private String dataDesc;

}