package com.zcxk.rmcp.web.service;

import com.zcxk.rmcp.api.dto.device.DeviceDataDto;
import com.zcxk.rmcp.api.vo.DeviceDataVo;
import com.zcxk.rmcp.core.mongo.DeviceDataItem;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 设备数据
 * @author Andy
 * @date 2021-07-19 9:44
 */
public interface DeviceDataService {

    /**
    * 获取设备数据
    * @author Andy
    * @date 14:52 2021/8/3
    * @param deviceDataDto:
    * @return java.util.List<com.zcxk.rmcp.api.vo.DeviceDataVo>
    **/
    List<DeviceDataVo> getData(DeviceDataDto deviceDataDto);

    List<DeviceDataItem> getDataItem(DeviceDataDto deviceDataDto);

    void getDataExcel(DeviceDataDto deviceDataDto, HttpServletResponse httpServletResponse);
}
