package com.zcxk.rmcp.web.service;

import com.zcxk.rmcp.core.entity.ImportFile;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * 
 * @author linqingwei
 * @date 2021-07-23 15:52
 */
public interface ImportFileService{


    int insertSelective(ImportFile record);

    int updateByPrimaryKeySelective(ImportFile record);

    /*
     * @description 导入excel
     * @param categoryId
     * @param importType
     * @param file
     * @return void
     * @author linqingwei
     **/
    void importExcel(Integer categoryId, Integer importType, MultipartFile file);

    /*
     * @description 下载失败文件
     * @param objId
     * @param response
     * @return void
     * @author linqingwei
     **/
    void downloadFailFile(Integer objId, HttpServletResponse response);
}
