package com.zcxk.rmcp.web.service;

import com.zcxk.core.common.pojo.TotalResult;
import com.zcxk.rmcp.api.vo.MeterReadRecordVo;

import java.util.List;

/**
 * @author Andy
 * @version V1.0
 * @description: 用水记录
 * @date 2021/7/21
 **/
public interface MeterReadWaterRecordService {

    /**
    * 统计近15天用水量
    * @author Andy
    * @date 14:54 2021/8/3
    * @param :
    * @return com.zcxk.core.common.pojo.TotalResult
    **/
    TotalResult statisticsRecent15Days();

    /**
    * 查询集合
    * @author Andy
    * @date 14:54 2021/8/3
    * @param beginDate:
    * @param endDate:
    * @return com.zcxk.core.common.pojo.TotalResult
    **/
    TotalResult listWaterRecord(int beginDate, int endDate);

}
